#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0x02,0x3D,0x0F,0x7E,0x14,0xE6,0x2C,0x08,0x6B,0x0D,0x46,
		0xE4,0x87,0x78,0x10,0xF3,0x31,0x3D,0x64,0x23,0xB7,0xF0,0x9B,
		0x94,0x4B,0x2F,0x3D,0x24,0x4D,0xA3,0x2D,0x6C,0xC7,0xBE,0xB9,
		0x1B,0x76,0xB3,0xB8,0xA1,0x18,0xD7,0xBF,0x45,0x3B,0xF4,0x29,
		0x90,0x5C,0xAB,0x4D,0xE5,0x90,0x51,0xC3,0xE5,0x16,0x70,0x70,
		0x51,0xFE,0x10,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
